# BreakoutBall Class Reference

`#include <BreakoutBall.h>`

List of all members.

## Public Member Functions
| BreakoutBall (const int &radius, const ColourRGB &innerColour, const ColourRGB &outerColour)
| ~BreakoutBall ()
void | Draw ()
void | Update ()
bool | HandleCollisionWithBox (BreakoutBox *pBox)
bool | HandleCollisionWithPaddle (BreakoutPaddle *pPaddle)
bool | HandleCollisionWithWorldBoundaries (BreakoutWorldBoundaries *pBounds)
Vector2i | GetPosition ()
void | SetPosition (const Vector2i &pos)
Vector2i | GetVelocity ()
void | SetVelocity (const Vector2i &vel)
int | GetRadius ()
void | SetRadius (const int &radius)
## Protected Attributes
Vector2i | m_position
Vector2i | m_previousPosition
Vector2i | m_velocity
int | m_radius
SpriteID | m_spriteID

## Detailed Description

Definition at line 12 of file BreakoutBall.h.

## Constructor & Destructor Documentation

BreakoutBall::BreakoutBall | ( | const int & | radius,
|  | const ColourRGB & | innerColour,
|  | const ColourRGB & | outerColour |
| ) |  |  |

Definition at line 14 of file BreakoutBall.cpp.

BreakoutBall::~BreakoutBall | ( |  | ) |

Definition at line 20 of file BreakoutBall.cpp.

## Member Function Documentation

void BreakoutBall::Draw | ( |  | ) |

Definition at line 24 of file BreakoutBall.cpp.

Vector2i BreakoutBall::GetPosition | ( |  | ) | `[inline]`

Definition at line 24 of file BreakoutBall.h.

int BreakoutBall::GetRadius | ( |  | ) | `[inline]`

Definition at line 28 of file BreakoutBall.h.

Vector2i BreakoutBall::GetVelocity | ( |  | ) | `[inline]`

Definition at line 26 of file BreakoutBall.h.

bool BreakoutBall::HandleCollisionWithBox | ( | BreakoutBox * | pBox | ) |

Definition at line 41 of file BreakoutBall.cpp.

bool BreakoutBall::HandleCollisionWithPaddle | ( | BreakoutPaddle * | pPaddle | ) |

Definition at line 86 of file BreakoutBall.cpp.

bool BreakoutBall::HandleCollisionWithWorldBoundaries | ( | BreakoutWorldBoundaries * | pBounds | ) |

Definition at line 128 of file BreakoutBall.cpp.

void BreakoutBall::SetPosition | ( | const Vector2i & | pos | ) | `[inline]`

Definition at line 25 of file BreakoutBall.h.

void BreakoutBall::SetRadius | ( | const int & | radius | ) | `[inline]`

Definition at line 29 of file BreakoutBall.h.

void BreakoutBall::SetVelocity | ( | const Vector2i & | vel | ) | `[inline]`

Definition at line 27 of file BreakoutBall.h.

void BreakoutBall::Update | ( |  | ) |

Definition at line 30 of file BreakoutBall.cpp.

## Member Data Documentation

Vector2i BreakoutBall::m_position`[protected]`

Definition at line 34 of file BreakoutBall.h.

Vector2i BreakoutBall::m_previousPosition`[protected]`

Definition at line 34 of file BreakoutBall.h.

int BreakoutBall::m_radius`[protected]`

Definition at line 35 of file BreakoutBall.h.

SpriteID BreakoutBall::m_spriteID`[protected]`

Definition at line 36 of file BreakoutBall.h.

Vector2i BreakoutBall::m_velocity`[protected]`

Definition at line 34 of file BreakoutBall.h.

The documentation for this class was generated from the following files:

- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/BreakoutBall.h
- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/BreakoutBall.cpp